package com.chinacreator.video.restful.dao;

import com.chinacreator.video.bean.OrderInfo;
import org.apache.commons.lang.math.NumberUtils;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

@Mapper
public interface HuaweiWalletDao {

    List<Map<String, Object>> queryrecharge(OrderInfo orderInfo);


    Integer isBlackUser(@Param("userid")String userid, @Param("cpid")String cpid);

    /**
     * 添加华为短信订购日志
     * @param map
     * @return
     */
    int addHuaweiSmsorderLog(Map map);

    /**
     * 添加华为短信订购rec  job
     * @param map
     * @return
     */
    int addHuaweiOrderRec(Map map);

    String getSpOrderNo(String orderNo);
}
